Bug 432655 - Review Request: R-car - Companion to Applied Regression package for R
Review Request: R-car - Companion to Applied Regression package for R
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 11:58 EST by Orion Poplawski
Modified: 2008-02-14 17:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 17:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-02-13 11:58:23 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/R-car.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/R-car-1.2-1.fc8.src.rpm
Description:
This package accompanies J. Fox, An R and S-PLUS Companion to Applied
Regression, Sage, 2002. The package contains mostly functions for applied
regression, linear models, and generalized linear models, with an emphasis on
regression diagnostics, particularly graphical diagnostic methods.  There are
also some utility functions. With some exceptions, it does not duplicate
capabilities in the basic distribution of R, nor in widely used packages.
Where relevant, the functions in car are consistent with na.action = na.omit
or na.exclude.


Required for R-systemfit 1.0
Comment 1 Jason Tibbitts 2008-02-13 16:21:49 EST
Besides the standard R complaints, rpmlint says:
  R-car.noarch: E: script-without-shebang /usr/share/R/library/car/CHANGES
  R-car.noarch: E: wrong-script-end-of-line-encoding 
   /usr/share/R/library/car/CHANGES
The CHANGES file shouldn't be executable.  However, once you fix that you'll get:
  R-car.noarch: W: wrong-file-end-of-line-encoding 
   /usr/share/R/library/car/CHANGES
  R-car.noarch: W: file-not-utf8 /usr/share/R/library/car/CHANGES
so it needs a chmod, a pass through tr and a pass through iconv.

I think that
  http://cran.r-project.org/src/contrib/Descriptions/car.html
is probably better as a URL tag.

 * source files match upstream:
   e9bcb523b0d667e256aba10ab1c432e834f444d6e35cda0f4de446135013ce7d  
   car_1.2-7.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X rpmlint has valid complaints.
* final provides and requires are sane:
   R-car = 1.2-1.fc9
  =
   /bin/sh
   R

* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
X CHANGES file should not be executable.
* scriptlets are OK (R index installation)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Orion Poplawski 2008-02-13 16:46:21 EST
Updated the spec file.

* Wed Feb 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.2-2
- Fix file permissions, line endings and encoding

Thanks for the review!

Comment 3 Jason Tibbitts 2008-02-14 00:14:28 EST
Still builds fine and rpmlint is slient excepting the two expected complaints
for R packages.  Looks good to me.

APPROVED
Comment 4 Orion Poplawski 2008-02-14 12:56:55 EST
New Package CVS Request
=======================
Package Name: R-car
Short Description: Companion to Applied Regression package for R
Owners: orion
Branches: F-8 F-7 EL-5 EL-4
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-14 17:19:56 EST
cvs done.
Comment 6 Orion Poplawski 2008-02-14 17:42:29 EST
Checked in and built.  Thanks all!

Note You need to log in before you can comment on or make changes to this bug.